export declare const TreeContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const TreeItems: import("styled-components").StyledComponent<"ul", import("styled-components").DefaultTheme, {
    isExpanded?: boolean | undefined;
}, never>;
export declare const TreeItemWrapper: import("styled-components").StyledComponent<"li", import("styled-components").DefaultTheme, {}, never>;
export declare const TreeRow: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("../../atoms/Grid").FlexProps & {
    disabled?: boolean | undefined;
    hasChildren?: boolean | undefined;
}, never>;
declare type TreeExpandProps = {
    isExpanded?: boolean;
    hasChildren?: boolean;
};
export declare const TreeExpand: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, import("../../atoms/Icon").IIconProps & TreeExpandProps, never>;
export declare const TreeContent: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("../../atoms/Grid").FlexProps, never>;
export declare const TreeText: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    isLeaf?: boolean | undefined;
}, never>;
export declare const TreeDescription: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    isFolder?: boolean | undefined;
}, never>;
export declare const LoadMoreButton: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {}, never>;
export declare const LoadingContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("../../atoms/Grid").FlexProps, never>;
export {};
